Loading...
Searching...
No Matches
Ogre::KeyFrame Class Reference
Core » Animation

A key frame in an animation sequence defined by an AnimationTrack. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::KeyFrame:
[legend]

## Public Member Functions

| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
virtual KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only).
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

A key frame in an animation sequence defined by an AnimationTrack.

This class can be used as a basis for all kinds of key frames. The unifying principle is that multiple KeyFrames define an animation sequence, with the exact state of the animation being an interpolation between these key frames.

## Constructor & Destructor Documentation

## KeyFrame()

Ogre::KeyFrame::KeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Referenced by _clone(), Ogre::NumericKeyFrame::_clone(), Ogre::TransformKeyFrame::_clone(), Ogre::VertexMorphKeyFrame::_clone(), and Ogre::VertexPoseKeyFrame::_clone().

## ~KeyFrame()

virtual Ogre::KeyFrame::~KeyFrame | ( |  | ) |

inline virtual

## Member Function Documentation

## getTime()

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const

inline

Gets the time of this keyframe in the animation sequence.

## _clone()

virtual KeyFrame * Ogre::KeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const

virtual

Clone a keyframe (internal use only).

Reimplemented in Ogre::NumericKeyFrame, Ogre::TransformKeyFrame, Ogre::VertexMorphKeyFrame, and Ogre::VertexPoseKeyFrame.

References KeyFrame(), and OGRE_NODISCARD.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h